🏢 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • Getting unexpected result when setting material color

    7
    0 Votes
    7 Posts
    177 Views
    thomthomT
    @dan rathbun said: As I recall, only materials took (or used to take,) alpha. Colors did not. They do, and did. It's just that they wheren't used until SU let you draw to the viewport with transparency.
  • SketchUp as a Game Editor?

    2
    0 Votes
    2 Posts
    112 Views
    thomthomT
    @alz said: How does SketchUp handle a scene with thousands of objects in it? That depends on the objects... it's a bit ambiguous question. Got some specific examples? @alz said: I'd love a reason to spend more time inside of SketchUp if I think it can deal with a variety of primitive objects that represent game logic objects and the intertwined game data they hold. You mean physics simulation? Like SketchPhysics?
  • Mac Ruby Console is multi-line

    9
    0 Votes
    9 Posts
    1k Views
    D
    Hi all you avid followers... For the record, I've been using the modified nib constantly for a over a week now and thought I'd make some comments. The cursor is a little hard to spot in 'hud' mode as I can't change it from the normal text input 'black', but being able to see through to the model more than compensates. It's hard always remembering to Alt/Return for newLine as Return is Submit. I have it set to always stay on top, very handy when working with an external editor, but I'd rather be able to toggle that. I discovered last night that it has a back/forward function, i.e. using the arrow keys you can go back 1..3 inputs, tweak and re-submit. This makes a inputing instead of newLine error a bit less of an issue. If there are any mac users interested in trying this out 'speak up' or is it t'ype up'. I'm happy to PM my 'findings' for your perusal, but I won't be attaching NIB files to this post. john
  • Syntax error + no sleep + crummy suspension = please help!

    11
    0 Votes
    11 Posts
    278 Views
    TIGT
    Assuming your code goes before the face is made mat1 = mats.add("Wood_Plywood_Knots") makes a new material named "Wood_Plywood_Knots". It will be 'black' [0,0,0] with NO texture as you haven't [yet] specified a color or a texture-image... If that material already exists it gets a numeral suffix... If you haven't defined 'mat1' when you assign it to the face it's like writing face.material=nil which is saying use the default front_face_material, which it already has! OR it cause a crash - what's in the Ruby Console... Ensure a material is made before you use it... IF you were to read/understand my earlier notes... they explain step by step how to make/use a material, give it a color and give it a texture [image-file]; then adjust that texture-image and match the material's color to it etc...
  • [Help] Straight Skeleton Implementation

    5
    0 Votes
    5 Posts
    393 Views
    TIGT
    The 'Housebuilder' plugin does the framing for roofs and floors/walls/openings etc... See the Plugins Index or the 'crai' Depot [Didier Bur's]... Thrre are two versions - one for metric and the original for feet/ins...
  • How to batch modify description of sketchup file?

    3
    0 Votes
    3 Posts
    181 Views
    dereiD
    thank you very much, TIG ! I will look over your plugin!
  • Icon to layer connection?

    6
    0 Votes
    6 Posts
    109 Views
    Dan RathbunD
    I know what AutoCAD can do (I've been using it for over 25 years.) Suddenly your talking menus (which I have no problem creating in Sketchup. I can even using system calls create a toplevel menu, if I wish to. But Google does not seem to want us to do this in a general sense. They want everyone's main menubar to look the same, for tutorial purposes, I suppose.) Back, on saubject. Commands. The API allows us to create commands. I even told you how I would do the specific one you ask about. I am in the process of creating my own Cline tool, so perhaps I'll expand it a bit to Text, Dimension, and 3Dtext; .. since I was gonna have a default Cline Layer. It would be just adding in some more elsif clauses, and so forth.
  • [Bug] model.valid?() on PC

    3
    0 Votes
    3 Posts
    66 Views
    Dan RathbunD
    I do not know if it is new. I just ran across it. Could not find a bug report, so I filed one. This post is just a "head's up" notice.
  • Storing attributes?

    10
    0 Votes
    10 Posts
    285 Views
    T
    thanks Dan and Tig I will have a look at that!
  • A Question on Making a GUI

    4
    0 Votes
    4 Posts
    141 Views
    thomthomT
    Here's a topic I've written with practical info about the WebDialog class: http://forums.sketchucation.com/viewtopic.php?f=180&t=23445#p198883
  • PdScript-interpreter for GUI Scripting in SketchUp-Ruby

    14
    0 Votes
    14 Posts
    6k Views
    H
    Hello, I made a small page for the sketchup plugin on my website. I updated the above link for the download. Hans-Peter
  • NewLISP-interpreter in SketchUp-Ruby

    16
    0 Votes
    16 Posts
    3k Views
    H
    Hello, I made a small page for the sketchup plugins on my website. I updated the above link for the download. Hans-Peter
  • [code] MetaObserver

    2
    0 Votes
    2 Posts
    786 Views
    Dan RathbunD
    Why is this called "Meta" ?? The definition http://dictionary.reference.com/browse/meta means "self-referential".
  • Detect User Access to Clipboard

    9
    0 Votes
    9 Posts
    978 Views
    D
    Hi, I have an Applescript that opens RC then /copy/pastes/runs, it could easily include additional instructions. eg. open/join an existing ruby first. I had one that also closed RC again, but I don't need that. I can launch from inside SU or from separate menu-bar item that will open SU if it's closed. Obviously mines a mac-hack, can you do that on a PC? My experiments showed RC as the only reliable way in unless you paste/write to file and have 'system' request Sketchup to load it. Permissions can be tricky. A WebDialog would avoid opening RC, but would need to be open itself first. john
  • SurDebug Error

    3
    0 Votes
    3 Posts
    501 Views
    A
    Change to a English version of Sketchup. The code try to open Console with following shorcut : Alt W+R and it only works with english version
  • Mysterious Bug [followme related]

    30
    0 Votes
    30 Posts
    603 Views
    Dan RathbunD
    No problem... Just a note that the disposal of the tools filename array needs to be inside the conditional true blocks. (Otherwise we might get an error with the & method if tools gets set to nil, prematurely.) # run when file loads # prevdir = Dir.getwd Dir.chdir Sketchup.find_support_file("Tools") tools = Dir["*.rb"] Dir.chdir(prevdir) prevdir = nil if ( tools & $LOADED_FEATURES == tools ) && Sketchup.active_model && Sketchup.active_model.active_entities && Sketchup.active_model.tools.active_tool_id != 0 UI.start_timer(2.0, false){ LineA.create_line } tools = nil else timer_LineA = UI.start_timer(2.0, true){ if ( tools & $LOADED_FEATURES == tools ) && Sketchup.active_model && Sketchup.active_model.active_entities && Sketchup.active_model.tools.active_tool_id != 0 UI.stop_timer(timer_LineA) tools = nil LineA.create_line end #if } end
  • "refresh" Group BoundingBox

    8
    0 Votes
    8 Posts
    532 Views
    thomthomT
    Note that you also have ComponentDefinition.image? as Image elements also have definitions. Important to note when iterating the definitions collection.
  • How can I create a 1 meter square plane in Ruby?

    2
    0 Votes
    2 Posts
    154 Views
    danielbowringD
    Sketchup uses inches, but provides methods so you can use any measure you like -> http://code.google.com/apis/sketchup/docs/ourdoc/numeric.html val = 1.m # 1 meter pt1 = [0,0,0] pt2 = [val,0,0] pt3 = [val,val,0] pt4 = [0,val,0] my_face = entities.add_face [pt1, pt2, pt3, pt4]
  • MR2 broke plugin during C extension require

    51
    0 Votes
    51 Posts
    798 Views
    thomthomT
    @draftomatic said: That's a good point... What would you recommend? Should I try to eliminate those that clash from what I'm including with my plugin? I'd recommend that you check carefully what files you bundle. Since it's a shared environment you want to avoid potential clashes. Remove any file you don't need. Check the ones you add if they modify existing methods. And beware that Set.rb will cause incompatible modifications to the Set class.
  • Win32API or DL library usage?

    7
    0 Votes
    7 Posts
    966 Views
    Dan RathbunD
    Ruby (v1.8.6-p287) Windows One-Click Installer (offsite) Helper script: Ruby LOAD PATHs script (Win32) : ver 3.0.1 Topic: Win32API vs DL lib Files: Win32API and Win32OLE so files

Advertisement